NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::BeamSectionOrientationOptions Class Reference


To create a new instance of this class, use NXOpen::CAE::CaePart::NewBeamSectionOrientationOptions

Created in NX7.5.0. More...

Inheritance diagram for NXOpen::CAE::BeamSectionOrientationOptions:
NXOpen::TransientObject

Public Types

enum  Method { MethodByVector, MethodByNode }
 Represents the orientation definition method. More...
 

Public Member Functions

NXOpen::CAE::BeamSection::DirectionOption DirectionType ()
 Returns the direction type
Created in NX7.5.0. More...
 
NXOpen::CAE::BeamSectionOrientationOptions::Method MethodType ()
 Returns the orientation definition method
Created in NX7.5.0. More...
 
NXOpen::CAE::FENodeNode ()
 Returns the node used to orient beam. More...
 
NXOpen::CAE::FEElementOrientedElement ()
 Returns the element to be oriented. More...
 
void SetDirectionType (NXOpen::CAE::BeamSection::DirectionOption directionType)
 Sets the direction type
Created in NX7.5.0. More...
 
void SetMethodType (NXOpen::CAE::BeamSectionOrientationOptions::Method methodType)
 Sets the orientation definition method
Created in NX7.5.0. More...
 
void SetNode (NXOpen::CAE::FENode *node)
 Sets the node used to orient beam. More...
 
void SetOrientedElement (NXOpen::CAE::FEElement *orientedElement)
 Sets the element to be oriented. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the orientation vector. More...
 
NXOpen::DirectionVector ()
 Returns the orientation vector. More...
 
virtual ~BeamSectionOrientationOptions ()
 Destroys the object
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::CAE::CaePart::NewBeamSectionOrientationOptions

Created in NX7.5.0.


Member Enumeration Documentation

Represents the orientation definition method.

Enumerator
MethodByVector 

by vector

MethodByNode 

by node

Constructor & Destructor Documentation

virtual NXOpen::CAE::BeamSectionOrientationOptions::~BeamSectionOrientationOptions ( )
virtual

Destroys the object
Created in NX7.5.0.



License requirements : None

Member Function Documentation

NXOpen::CAE::BeamSection::DirectionOption NXOpen::CAE::BeamSectionOrientationOptions::DirectionType ( )

Returns the direction type
Created in NX7.5.0.



License requirements : None

NXOpen::CAE::BeamSectionOrientationOptions::Method NXOpen::CAE::BeamSectionOrientationOptions::MethodType ( )

Returns the orientation definition method
Created in NX7.5.0.



License requirements : None

NXOpen::CAE::FENode* NXOpen::CAE::BeamSectionOrientationOptions::Node ( )

Returns the node used to orient beam.

Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByNode
Created in NX7.5.0.

License requirements : None

NXOpen::CAE::FEElement* NXOpen::CAE::BeamSectionOrientationOptions::OrientedElement ( )

Returns the element to be oriented.

Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.

License requirements : None

void NXOpen::CAE::BeamSectionOrientationOptions::SetDirectionType ( NXOpen::CAE::BeamSection::DirectionOption  directionType)

Sets the direction type
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
directionTypedirectiontype
void NXOpen::CAE::BeamSectionOrientationOptions::SetMethodType ( NXOpen::CAE::BeamSectionOrientationOptions::Method  methodType)

Sets the orientation definition method
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
methodTypemethodtype
void NXOpen::CAE::BeamSectionOrientationOptions::SetNode ( NXOpen::CAE::FENode node)

Sets the node used to orient beam.

Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByNode
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
nodenode
void NXOpen::CAE::BeamSectionOrientationOptions::SetOrientedElement ( NXOpen::CAE::FEElement orientedElement)

Sets the element to be oriented.

Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
orientedElementorientedelement
void NXOpen::CAE::BeamSectionOrientationOptions::SetVector ( NXOpen::Direction vector)

Sets the orientation vector.

Only available when definition method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
vectorvector
NXOpen::Direction* NXOpen::CAE::BeamSectionOrientationOptions::Vector ( )

Returns the orientation vector.

Only available when definition method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.